Bug 191235 - [PATCH] net/ntp-devel: make PERL dependency optional
[PATCH] net/ntp-devel: make PERL dependency optional
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: --- Affects Some People
Assigned To: Cy Schubert
Depends on:
  Show dependency treegraph
Reported: 2014-06-21 08:49 UTC by Franco Fichtner
Modified: 2014-07-13 10:49 UTC (History)
1 user (show)

See Also:

proposed patch (4.98 KB, patch)
2014-06-21 08:49 UTC, Franco Fichtner
no flags Details | Diff
rebased diff on top of latest changes (3.94 KB, patch)
2014-07-04 08:11 UTC, Franco Fichtner
no flags Details | Diff
PERL / NTPSNMPD only (2.84 KB, patch)
2014-07-04 13:31 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2014-06-21 08:49:05 UTC
Created attachment 143986 [details]
proposed patch

Perl shouldn't be a hard dependency only for two additional scripts that NTP ships these days. While there, clean up the Makefile consistently.
Comment 1 Cy Schubert freebsd_committer 2014-06-26 05:48:00 UTC
Will review.
Comment 2 Franco Fichtner 2014-07-04 07:47:57 UTC
Another batch of similar changes went in and I am kind of annoyed.  Can we get this done please?
Comment 3 Franco Fichtner 2014-07-04 08:11:11 UTC
Created attachment 144396 [details]
rebased diff on top of latest changes
Comment 4 Adam Weinberger freebsd_committer 2014-07-04 08:37:44 UTC
Cy, I already monkeyed with this port today. I'm willing to take care of this PR if you'd like.
Comment 5 Cy Schubert freebsd_committer 2014-07-04 12:49:52 UTC
(In reply to Adam Weinberger from comment #4)
> Cy, I already monkeyed with this port today. I'm willing to take care of
> this PR if you'd like.

The Per5 part is OK but it's the other changes that I have a problem with. Why remove ntpsnmpd?

I will look at this before Wednesday.
Comment 6 Franco Fichtner 2014-07-04 13:31:11 UTC
Created attachment 144405 [details]

Thanks for your review.  Let's make the patch clearer.  Here is the PERL option and NTPSNMPD cleanup only.

NTPSNMPD already has a file in pkg-plist, it makes sense to move the binary as well.

`pre-everything' target can be removed as NTPSNMPD_LIB_DEPENDS takes care of proper dependency tracking.

I can split this up further if needed.
Comment 7 Franco Fichtner 2014-07-12 16:23:16 UTC
Ping. :)
Comment 8 Cy Schubert freebsd_committer 2014-07-13 05:26:04 UTC
Approved. Will commit.
Comment 9 commit-hook freebsd_committer 2014-07-13 05:29:14 UTC
A commit references this bug:

Author: cy
Date: Sun Jul 13 05:28:17 UTC 2014
New revision: 361654
URL: http://svnweb.freebsd.org/changeset/ports/361654

  Remove perl as a hard dependency. Move ntpsnmpd PLIST from Makefile to

  PR:		191235

Comment 10 Franco Fichtner 2014-07-13 10:49:08 UTC
Option now is `PERL_UTILS' while pkg-plist still uses `PERL'.  Are you sure that's correct?

What's the benefit of using PERL_UTILS, when the usual convention is to use PERL for Perl-related stuff?  Why break this idiom?  Why make it harder for the unskilled ports users?

And then, should PERL_UTILS really be in charge of pulling in lang/perl5?  It seems unreasonable as a run-only dependency.

That's really all I worry about: avoiding to pull in perl5 for such a small portion of a small port.